Products
Update product
Update product
curl --request PATCH \
--url https://{tenant}.api.velocity.medshift.com/v1/products/{id}/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"tax_code": "<string>",
"lot_serial_required": true,
"commission_program_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/"
payload = {
"name": "<string>",
"tax_code": "<string>",
"lot_serial_required": True,
"commission_program_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tax_code: '<string>',
lot_serial_required: true,
commission_program_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://{tenant}.api.velocity.medshift.com/v1/products/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'tax_code' => '<string>',
'lot_serial_required' => true,
'commission_program_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tax_code\": \"<string>\",\n \"lot_serial_required\": true,\n \"commission_program_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{tenant}.api.velocity.medshift.com/v1/products/{id}/")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"tax_code\": \"<string>\",\n \"lot_serial_required\": true,\n \"commission_program_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant}.api.velocity.medshift.com/v1/products/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"tax_code\": \"<string>\",\n \"lot_serial_required\": true,\n \"commission_program_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"name": "<string>",
"is_digital": true,
"thumbnail_url": "<string>",
"is_purchasable": true,
"order_quantity_min": 123,
"order_quantity_max": 123,
"inventory_level": 123,
"commission_programs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"options": [
{
"bigcommerce_id": 123,
"name": "<string>",
"values": [
{
"bigcommerce_id": 123,
"label": "<string>"
}
]
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"sku": "<string>",
"is_purchasable": true,
"base_price": "<string>",
"list_price": "<string>",
"cost_price": "<string>",
"inventory_level": 123,
"custom_fields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": null
}
],
"options": [
{
"bigcommerce_option_id": 123,
"bigcommerce_value_id": 123
}
]
}
],
"tax_code": "<string>",
"lot_serial_required": true
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
Required string length:
1 - 250null when there is no minimum order quantity.
null when there is no maximum order quantity.
null when inventory is not tracked at the product level.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
255⌘I
Update product
curl --request PATCH \
--url https://{tenant}.api.velocity.medshift.com/v1/products/{id}/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"tax_code": "<string>",
"lot_serial_required": true,
"commission_program_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/"
payload = {
"name": "<string>",
"tax_code": "<string>",
"lot_serial_required": True,
"commission_program_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tax_code: '<string>',
lot_serial_required: true,
commission_program_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://{tenant}.api.velocity.medshift.com/v1/products/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'tax_code' => '<string>',
'lot_serial_required' => true,
'commission_program_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.api.velocity.medshift.com/v1/products/{id}/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tax_code\": \"<string>\",\n \"lot_serial_required\": true,\n \"commission_program_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{tenant}.api.velocity.medshift.com/v1/products/{id}/")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"tax_code\": \"<string>\",\n \"lot_serial_required\": true,\n \"commission_program_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant}.api.velocity.medshift.com/v1/products/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"tax_code\": \"<string>\",\n \"lot_serial_required\": true,\n \"commission_program_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"name": "<string>",
"is_digital": true,
"thumbnail_url": "<string>",
"is_purchasable": true,
"order_quantity_min": 123,
"order_quantity_max": 123,
"inventory_level": 123,
"commission_programs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"options": [
{
"bigcommerce_id": 123,
"name": "<string>",
"values": [
{
"bigcommerce_id": 123,
"label": "<string>"
}
]
}
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bigcommerce_id": 123,
"sku": "<string>",
"is_purchasable": true,
"base_price": "<string>",
"list_price": "<string>",
"cost_price": "<string>",
"inventory_level": 123,
"custom_fields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"value": null
}
],
"options": [
{
"bigcommerce_option_id": 123,
"bigcommerce_value_id": 123
}
]
}
],
"tax_code": "<string>",
"lot_serial_required": true
}
